API login

Sign in to your BILL developer account. In the response, your API session is created and a BILL-generated sessionId is available. Use the sessionId in all subsequent API calls to confirm that you are in a signed-in session.

To create an MFA-trusted API session, set rememberMeId and device in addition to the required fields. See MFA setup for information about the BILL MFA process.

You can sign out with POST /v3/logout. If your API session is inactive for 35 minutes, the session expires and you are automatically signed out.

See API partner login for information about the additional permissions you get with the API partner login.

Note: This section is about authentication for working with the BILL v3 API. See Authentication with Spend & Expense API token for information about authentication for the Spend & Expense API endpoints.

Body Params
string
required

Developer key sent to you by BILL when you create a developer account

string
required

Email address used to sign in to your BILL account

string

Password used to sign in to your BILL account

string

Console API token.

As a BILL Accountant Console user, use POST /v3/login to sign in to a client organization.

  • username: Your BILL Accountant Console email address
  • consoleApiToken: Your Console API token
  • devKey: Developer key of the client organization
  • organizationId: Organization ID of the client organization

See BILL Accountant Console operations for more information.

string
required

Organization ID

string

MFA ID. Set this field for creating an MFA-trusted API session.

This MFA ID is generated when you set rememberMe as true in your POST /v3/mfa/challenge/validate request. This value expires in 30 days.

See Validate MFA challenge for more information.

string

Mobile device name. This is a nickname for your mobile device. Set this field when you set rememberMeId.

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json